@DATABASE "dopus/dopusbase.h"
@MASTER   "opussdk:include/dopus/dopusbase.h"
@REMARK   (c) Dr Greg Perry and Jonathan Potter, GPSoftware 1996
@REMARK   This file was initially created by ADtoHT 2.1 on 07-Sep-96 18:20:14
@REMARK   ADtoHT is  1993-1995 Christian Stieber

@NODE MAIN "dopus/dopusbase.h"
@TOC "DopusSDK/MAIN"

@{"dopus/dopusbase.h" LINK File}

@ENDNODE
@NODE File "dopus/dopusbase.h"
/*
 *
 * @{"dopus5.library" LINK "dopus55/MAIN"} header files
 *
 * Support library for Directory Opus version 5
 *
 * (c) Copyright 1996 Jonathan Potter
 *
 */


// Include this file to conveniently include all the standard Opus headers

#ifndef _DOPUSBASE
#define _DOPUSBASE

#include <@{"dopus/args.h" LINK "dopus/args.h/File"}>
#include <@{"dopus/bufferedio.h" LINK "dopus/bufferedio.h/File"}>
#include <@{"dopus/gui.h" LINK "dopus/gui.h/File"}>
#include <@{"dopus/clipboard.h" LINK "dopus/clipboard.h/File"}>
#include <@{"dopus/images.h" LINK "dopus/images.h/File"}>
#include <@{"dopus/iff.h" LINK "dopus/iff.h/File"}>
#include <@{"dopus/misc.h" LINK "dopus/misc.h/File"}>
#include <@{"dopus/progress.h" LINK "dopus/progress.h/File"}>
#include <@{"dopus/appicon.h" LINK "dopus/appicon.h/File"}>
#include <@{"dopus/drag.h" LINK "dopus/drag.h/File"}>
#include <@{"dopus/locale.h" LINK "dopus/locale.h/File"}>
#include <@{"dopus/lists.h" LINK "dopus/lists.h/File"}>
#include <@{"dopus/timer.h" LINK "dopus/timer.h/File"}>
#include <@{"dopus/notify.h" LINK "dopus/notify.h/File"}>
#include <@{"dopus/ipc.h" LINK "dopus/ipc.h/File"}>
#include <@{"dopus/requesters.h" LINK "dopus/requesters.h/File"}>
#include <@{"dopus/layout.h" LINK "dopus/layout.h/File"}>
#include <@{"dopus/popup.h" LINK "dopus/popup.h/File"}>
#include <@{"dopus/diskio.h" LINK "dopus/diskio.h/File"}>
#include <@{"dopus/edithook.h" LINK "dopus/edithook.h/File"}>
#include <@{"dopus/icon.h" LINK "dopus/icon.h/File"}>
#include <@{"dopus/memory.h" LINK "dopus/memory.h/File"}>
#include <@{"dopus/dos.h" LINK "dopus/dos.h/File"}>

#ifndef DOPUS_PRAG
#include <@{"pragmas/dopus_pragmas.h" LINK "pragmas/dopus_pragmas.h/File"}>
#endif

#endif
@ENDNODE
